## tdeaddons-trinity 14.0.10

=== debian/changelog ===
tdeaddons-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
Source: tdeaddons-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>
Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, gawk, tdelibs14-trinity-dev, atlantik-trinity-dev, tdebase-trinity-dev, tdemultimedia-trinity-dev, libtdegames-trinity-dev, libkonq4-trinity-dev, tdepim-trinity-dev, libsdl1.2-dev (>= 1.2.2-3.3), libssl-dev (>= 0.9.6), libdb4.8++-dev | libdb++-dev, libogg-dev
Standards-Version: 3.8.4

Package: tdeaddons-trinity
Architecture: all
Section: tde
Replaces: kdeaddons-trinity (<< 4:14.0.0~)
Breaks: kdeaddons-trinity (<< 4:14.0.0~)
Depends: atlantikdesigner-trinity (>= ${source:Version}), kaddressbook-plugins-trinity (>= ${source:Version}), kate-plugins-trinity (>= ${source:Version}), tdeaddons-tdefile-plugins-trinity (>= ${source:Version}), kicker-applets-trinity (>= ${source:Version}), konq-plugins-trinity (>= ${source:Version}), ksig-trinity (>= ${source:Version}), noatun-plugins-trinity (>= ${source:Version})
Suggests: tdeaddons-trinity-doc-html
Description: add-on plugins and applets provided with Trinity
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of add-on plugins and applets
 provided with the official release of Trinity.

Package: tdeaddons-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdeaddons-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdeaddons-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdeaddons-trinity
Description: TDE add-ons documentation in HTML format
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE addons documentation
 converted to HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/kicker-applets/. Documentation is provided for
 most TDE addons packages.
 .
 This package is part of Trinity, as a component of the TDE addons module.
 See the 'tde-trinity' and 'tdeaddons-trinity' packages for more information.

Package: atlantikdesigner-trinity
Architecture: any
Section: games
Replaces: atlantikdesigner-trinity (<< 4:14.0.0~)
Breaks: atlantikdesigner-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Enhances: atlantik-trinity
Description: game board designer for Atlantik
 Atlantik Designer is a game board designer for the game Atlantik.
 .
 Atlantik is a TDE client for playing Monopoly-like board games on the
 monopd network.  It can play any board supported by the network
 server, including the classic Monopoly game as well as the Atlantik
 game in which the properties include several major cities in North
 America and Europe.
 .
 This package is part of Trinity, as a component of the TDE addons module.
 See the 'tde-trinity' and 'tdeaddons-trinity' packages for more information.

Package: kaddressbook-plugins-trinity
Architecture: any
Section: tde
Replaces: kaddressbook-plugins-trinity (<< 4:14.0.0~)
Breaks: kaddressbook-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: kworldclock-trinity, khelpcenter-trinity, tdeaddons-trinity-doc-html
Enhances: kaddressbook-trinity
Description: plugins for KAddressBook, the Trinity address book
 This package contains a variety of useful plugins for the TDE address
 book.  These plugins can be loaded through the TDE address book settings.
 .
 Highlights include exporting postal addresses as flags in KWorldClock,
 as well as importing and exporting contacts in the native format used
 by the German freemail provider GMX.
 .
 This package is part of Trinity, as a component of the TDE addons module.
 See the 'tde-trinity' and 'tdeaddons-trinity' packages for more information.

Package: kate-plugins-trinity
Architecture: any
Section: editors
Replaces: kate-plugins-trinity (<< 4:14.0.0~)
Breaks: kate-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, tidy
Suggests: khelpcenter-trinity, tdeaddons-trinity-doc-html, kaddressbook-trinity
Enhances: kate-trinity
Description: plugins for Kate, the TDE Advanced Text Editor
 This package contains a variety of useful plugins for Kate, the TDE
 Advanced Text Editor.  These plugins can be loaded through the plugin
 manager in Kate settings.
 .
 Highlights include spell checking, text filtering, HTML/XML construction
 and validation, vim/emacs modeline handling, templates for new files
 and text snippets, opening of C/C++ headers, extraction of C/C++ symbols,
 a tab bar, a Python browser and even more.
 .
 This package is part of Trinity, as a component of the TDE addons module.
 See the 'tde-trinity' and 'tdeaddons-trinity' packages for more information.

Package: tdeaddons-tdefile-plugins-trinity
Architecture: any
Section: tde
Replaces: kdeaddons-kfile-plugins-trinity (<< 4:14.0.0~)
Breaks: kdeaddons-kfile-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Provides: renamedlg-plugins-trinity
Description: Trinity file dialog plugins for text files and folders
 This is a collection of plugins for the TDE file dialog.  These plugins
 extend the file dialog to offer advanced meta-information for text,
 HTML and desktop files, as well as for folders, Windows .lnk files,
 MIME archives and X.509 certificates.
 .
 This package also includes plugins for the TDE file rename dialog,
 allowing a user to more easily decide what to do when faced with a
 decision regarding conflicting filenames.  Rename dialog plugins are
 provided for audio and image files.
 .
 This package is part of Trinity, as a component of the TDE addons module.
 See the 'tde-trinity' and 'tdeaddons-trinity' packages for more information.

Package: kicker-applets-trinity
Architecture: any
Section: tde
Replaces: kicker-applets-trinity (<< 4:14.0.0~)
Breaks: kicker-applets-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, kicker-trinity
Suggests: xmms-kde-trinity, khelpcenter-trinity, tdeaddons-trinity-doc-html
Conflicts: kdeartwork-theme-icon-trinity (<< 4:3.5.13.3~), tdeartwork-theme-icon-trinity (<< 4:14.0.5~)
Provides: ktimemon-trinity
Enhances: kicker-trinity
Description: applets for Kicker, the Trinity panel
 This package contains a variety of applets for Kicker, the TDE panel.
 These applets will appear in the panel's Add--Applet menu.
 .
 Included are a system monitor, a colour picker, a media player controller,
 a mathematical evaluator and a binary clock.
 .
 The media control applet does not support XMMS, as this would force all
 kicker-applets users to install XMMS. If you want a kicker applet that
 controls XMMS, install the xmms-kde-trinity package.
 .
 This package is part of Trinity, as a component of the TDE addons module.
 See the 'tde-trinity' and 'tdeaddons-trinity' packages for more information.

Package: knewsticker-scripts-trinity
Architecture: all
Section: tde
Replaces: knewsticker-scripts-trinity (<< 4:14.0.0~)
Breaks: knewsticker-scripts-trinity (<< 4:14.0.0~)
Depends: ${perl:Depends}, python-all, libfinance-quote-perl, libmime-tools-perl, libnews-nntpclient-perl, libwww-perl
Recommends: knewsticker-trinity
Enhances: knewsticker-trinity
Description: scripts for KNewsTicker, the Trinity news ticker
 This package contains a variety of scripts that provide additional news
 sources for KNewsTicker, the news ticker applet for the TDE panel.  See
 /opt/trinity/share/doc/knewsticker-scripts/README.Debian for usage details.
 .
 Highlights include newsgroup handling, stock data retrieval, sports scores
 and various local news sources.
 .
 This package is part of Trinity, as a component of the TDE addons module.
 See the 'tde-trinity' and 'tdeaddons-trinity' packages for more information.

Package: konq-plugins-trinity
Architecture: any
Section: tde
Replaces: konq-plugins-trinity (<< 4:14.0.0~)
Breaks: konq-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, libjpeg-turbo-progs | libjpeg-progs, python-all, rsync, unison
Recommends: akregator-trinity, ark-trinity, imagemagick
Suggests: khelpcenter-trinity, tdeaddons-trinity-doc-html
Enhances: konqueror-trinity, akregator-trinity
Provides: akregator-konq-plugin-trinity
Description: plugins for Konqueror, the Trinity file/web/doc browser
 This package contains a variety of useful plugins for Konqueror, the
 file manager, web browser and document viewer for TDE.  Many of these
 plugins will appear in Konqueror's Tools menu.
 .
 Highlights for web browsing include web page translation, web page archiving,
 auto-refreshing, HTML and CSS structural analysis, a search toolbar, a
 sidebar news ticker, fast access to common options, bookmarklets, a crash
 monitor, a microformat availability indicator, a del.icio.us bookmarks
 sidebar, and integration with the aKregator RSS feed reader.
 .
 Highlights for directory browsing include directory filters, image gallery
 creation, archive compression and extraction, quick copy/move, a sidebar
 media player, a file information metabar/sidebar, a media folder helper, a
 graphical disk usage viewer and image conversions and transformations.
 .
 This package is part of Trinity, as a component of the TDE addons module.
 See the 'tde-trinity' and 'tdeaddons-trinity' packages for more information.

Package: ksig-trinity
Architecture: any
Section: tde
Replaces: ksig-trinity (<< 4:14.0.0~)
Breaks: ksig-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: kmail-trinity
Enhances: kmail-trinity
Description: graphical tool for managing multiple email signatures
 KSig is a graphical tool for keeping track of many different email
 signatures.  The signatures themselves can be edited through KSig's
 graphical user interface.  A command-line interface is then available
 for generating random or daily signatures from this list.
 .
 The command-line interface makes a suitable plugin for generating
 signatures in external mail clients such as KMail.  See
 /opt/trinity/share/doc/ksig/README.Debian for details on how this can be done.
 .
 This package is part of Trinity, as a component of the TDE addons module.
 See the 'tde-trinity' and 'tdeaddons-trinity' packages for more information.

Package: noatun-plugins-trinity
Architecture: any
Section: sound
Replaces: noatun-plugins-trinity (<< 4:14.0.0~)
Breaks: noatun-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Enhances: noatun-trinity
Description: plugins for Noatun, the Trinity media player
 This package contains a variety of useful plugins for Noatun, the audio and
 video media player for TDE.  These plugins can be loaded through the plugin
 manager in Noatun settings.
 .
 Highlights include an alarm clock, guessing tags from filenames, adjustable
 playback speed, capture to wave file and displaying lyrics, plus a variety
 of user interfaces, playlists and visualisation plugins.
 .
 This package is part of Trinity, as a component of the TDE addons module.
 See the 'tde-trinity' and 'tdeaddons-trinity' packages for more information.

Package: tdeaddons-trinity-dbg
Section: libdevel
Architecture: any
Replaces: kdeaddons-trinity-dbg (<< 4:14.0.0~)
Breaks: kdeaddons-trinity-dbg (<< 4:14.0.0~)
Depends: tdelibs-trinity-dbg
Priority: extra
Description: debugging symbols for tdeaddons-trinity
 This package contains the debugging symbols associated with tdeaddons-trinity.
 They will automatically be used by gdb for debugging tdeaddons-related
 issues.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --without-xmms --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --mandir=/opt/trinity/share/man

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

DEB_DH_STRIP_ARGS := --dbg-package=tdeaddons-trinity-dbg

DOC_HTML_PRUNE := konq-plugins-trinity/smbmounter

binary-install/konq-plugins-trinity::
	mkdir -p debian/konq-plugins-trinity/opt/trinity/share/
#	mv -f debian/konq-plugins-trinity/opt/trinity/share/man debian/konq-plugins-trinity/opt/trinity/share/
#	rm -rf debian/konq-plugins-trinity/opt/trinity/share/man
#	mv -f debian/konq-plugins-trinity/opt/trinity/share/man/py/man1/exif.1 \
#		debian/konq-plugins-trinity/opt/trinity/share/man/man1/exif.py.1; \
#	mv -f debian/konq-plugins-trinity/opt/trinity/share/man/py/man1/orient.1 \
#		debian/konq-plugins-trinity/opt/trinity/share/man/man1/orient.py.1; \
#	rm -rf debian/konq-plugins-trinity/opt/trinity/share/man/py;

binary-install/tdeaddons-tdefile-plugins-trinity::
	install -p -D -m644 renamedlgplugins/README \
		debian/tdeaddons-tdefile-plugins-trinity/opt/trinity/share/doc/tdeaddons-tdefile-plugins/README.renamedlgplugins

binary-install/knewsticker-scripts-trinity::
	chmod 755 debian/knewsticker-scripts-trinity/opt/trinity/share/apps/knewsticker/scripts/*.pl
	chmod 755 debian/knewsticker-scripts-trinity/opt/trinity/share/apps/knewsticker/scripts/*.py

binary-install/kate-plugins-trinity::
	chmod 755 debian/kate-plugins-trinity/opt/trinity/share/apps/kate/scripts/html-tidy.sh

install/konq-plugins-trinity::
	rm -f debian/tmp/opt/trinity/share/apps/konqueror/servicemenus/media_realfolder.desktop

## tdeaddons-trinity 14.0.11

=== debian/changelog ===
tdeaddons-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdeaddons

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 08 Jul 2021 00:34:50 +0200

## tdeaddons-trinity 14.0.12

=== debian/changelog ===
tdeaddons-trinity (4:14.0.12-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tdeaddons

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Jan 2022 10:22:59 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,15 +3,6 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
 include debian/cdbs/debian-tde.mk
-
-DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
-DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
-DEB_CONFIGURE_PREFIX := /opt/trinity
-DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
-
-cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)
-
-DEB_CONFIGURE_EXTRA_FLAGS := --without-xmms --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --mandir=/opt/trinity/share/man
 
 DEB_CMAKE_EXTRA_FLAGS := \
  -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \

## tdeaddons-trinity 14.1.0

=== debian/changelog ===
tdeaddons-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdeaddons

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 16 Jan 2023 01:50:08 +0100

## tdeaddons-trinity 14.1.1

=== debian/changelog ===
tdeaddons-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdeaddons

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 25 Sep 2023 06:52:28 +0200

## tdeaddons-trinity 14.1.2

=== debian/changelog ===
tdeaddons-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdeaddons

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Apr 2024 10:55:43 +0200

## tdeaddons-trinity 14.1.3

=== debian/changelog ===
tdeaddons-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdeaddons

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Sep 2024 15:12:26 +0200

## tdeaddons-trinity 14.1.4

=== debian/changelog ===
tdeaddons-trinity (4:14.1.4-0ubuntu20.04.0+0) focal; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdeaddons

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

DEB_DH_STRIP_ARGS := --dbg-package=tdeaddons-trinity-dbg

DOC_HTML_PRUNE := konq-plugins-trinity/smbmounter

binary-install/tdeaddons-tdefile-plugins-trinity::
	install -p -D -m644 renamedlgplugins/README \
		debian/$(cdbs_curpkg)/opt/trinity/share/doc/tdeaddons-tdefile-plugins/README.renamedlgplugins

binary-install/knewsticker-scripts-trinity::
	chmod 755 debian/$(cdbs_curpkg)/opt/trinity/share/apps/knewsticker/scripts/*.pl
	chmod 755 debian/$(cdbs_curpkg)/opt/trinity/share/apps/knewsticker/scripts/*.py
	dh_python3 -p $(cdbs_curpkg) --shebang=/usr/bin/python3 /opt/trinity/share/apps/knewsticker/scripts

binary-install/kate-plugins-trinity::
	chmod 755 debian/$(cdbs_curpkg)/opt/trinity/share/apps/kate/scripts/html-tidy.sh

binary-install/konq-plugins-trinity::
	dh_python3 -p $(cdbs_curpkg) --shebang=/usr/bin/python3 /opt/trinity/share/apps/imagerotation

## tdeaddons-trinity 14.1.5~pre4

=== debian/changelog ===
tdeaddons-trinity (4:14.1.5~pre4-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for a2d0c4908fed9708e8f0fedf6fee24e324a17b52
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdeaddons

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdeaddons-trinity 14.1.5

=== kaddressbook-plugins/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( "${TDE_CMAKE_DIR}/kaddressbook.cmake" )

add_subdirectory( xxports )

=== knewsticker-scripts/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

install( FILES Generic.Newsticker.Error Readme.ErrorHandling fyensget.py
  stock.pl Readme.stock newsrss.pl Readme.newsrss bbc.pl sportscores.py
  DESTINATION ${DATA_INSTALL_DIR}/knewsticker/scripts
)

=== atlantikdesigner/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


##### icons #####################################

tde_install_icons( )

=== doc/kicker-applets/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
tde_create_handbook( DESTINATION kicker-applets  )

=== kate/filelistloader/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### katefll_plugin (kpart) ####################

tde_add_kpart( katefll_plugin AUTOMOC
  SOURCES katefll_plugin.cpp
  LINK kateinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES ui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kate/plugins/katefll
)

tde_create_translated_desktop(
  SOURCE katefll.desktop
  DESTINATION ${APPS_INSTALL_DIR}/.hidden
  PO_DIR kate-plugins-desktops
)

tde_create_translated_desktop(
  SOURCE katefll_plugin.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kate-plugins-desktops
)

=== kate/filetemplates/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( plugin )
add_subdirectory( templates )

=== kate/kpybrowser/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### katepybrowseplugin (kpart) ################

tde_add_kpart( katepybrowseplugin AUTOMOC
  SOURCES kpybrowser.cpp pybrowsenode.cpp pybrowse_part.cpp
  LINK kateinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES ui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kate/plugins/katepybrowse
)

tde_create_translated_desktop(
  SOURCE katepybrowse.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kate-plugins-desktops
)

=== kate/modeline/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### katemodelineplugin (kpart) ################

tde_add_kpart( katemodelineplugin AUTOMOC
  SOURCES ModelinePlugin.cpp
  LINK kateinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES ui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kate/plugins/katemodeline
)

tde_create_translated_desktop(
  SOURCE katemodeline.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kate-plugins-desktops
)

=== kate/openheader/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kateopenheaderplugin (kpart) ##############

tde_add_kpart( kateopenheaderplugin AUTOMOC
  SOURCES plugin_kateopenheader.cpp
  LINK kateinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES ui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kate/plugins/kateopenheader
)

tde_create_translated_desktop(
  SOURCE kateopenheader.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kate-plugins-desktops
)

=== kicker-applets/mediacontrol/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### mediacontrol_panelapplet (kpart) ##########

tde_add_kpart( mediacontrol_panelapplet AUTOMOC
  SOURCES mcslider.cpp mediacontrol.cpp playerInterface.cpp configfrontend.cpp
    mediacontrolconfigwidget.ui mediacontrolconfig.cpp mediacontroliface.skel
    noatunInterface.cpp xmmsInterface.cpp mpdInterface.cpp jukInterface.cpp
    amarokInterface.cpp kscdInterface.cpp simplebutton.cpp
  LINK tdeui-shared ${XMMS_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE mediacontrol.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
  PO_DIR kicker-applets-desktops
)

=== konq-plugins/akregator/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### libakregatorkonqplugin (kpart) ############

tde_add_kpart( libakregatorkonqplugin AUTOMOC
  SOURCES akregatorplugin.cpp pluginbase.cpp
  LINK tdehtml-shared konq-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### libakregatorkonqfeedicon (kpart) ##########

tde_add_kpart( libakregatorkonqfeedicon AUTOMOC
  SOURCES konqfeedicon.cpp feeddetector.cpp pluginbase.cpp
  LINK tdehtml-shared konq-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE akregator_konqfeedicon.desktop
  DESTINATION ${DATA_INSTALL_DIR}/tdehtml/kpartplugins
  PO_DIR konq-plugins-desktops
)

install(
  FILES akregator_konqfeedicon.rc
  DESTINATION ${DATA_INSTALL_DIR}/tdehtml/kpartplugins
)

install( FILES rss.png
  DESTINATION ${DATA_INSTALL_DIR}/akregator/pics
)

tde_create_translated_desktop(
  SOURCE akregator_konqplugin.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR konq-plugins-desktops
)

=== konq-plugins/autorefresh/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### libautorefresh (kpart) ####################

tde_add_kpart( libautorefresh AUTOMOC
  SOURCES autorefresh.cpp
  LINK tdehtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( autorefresh )


##### other data ################################

install(
  FILES autorefresh.rc
  DESTINATION ${DATA_INSTALL_DIR}/tdehtml/kpartplugins
)

tde_create_translated_desktop(
  SOURCE autorefresh.desktop
  DESTINATION ${DATA_INSTALL_DIR}/tdehtml/kpartplugins
  PO_DIR konq-plugins-desktops
)

=== debian/changelog ===
tdeaddons-trinity (4:14.1.5-0ubuntu18.04.0+0) bionic; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdeaddons

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/cmake.mk
-include debian/cdbs/debian-tde.mk
+-include /usr/share/cdbs/1/class/tde.mk
 
 DEB_CMAKE_EXTRA_FLAGS := \
  -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \

## tdeaddons-trinity 14.1.6~pre0

=== debian/changelog ===
tdeaddons-trinity (4:14.1.6~pre0-0debian14.0.0+0~a) forky; urgency=low

  * Automated git build for a2d0c4908fed9708e8f0fedf6fee24e324a17b52
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeaddons

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdeaddons-trinity 14.1.6~pre1

=== debian/changelog ===
tdeaddons-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 72b7c4290ce6eb9272e1028a7e1b15628b186df0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeaddons

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Nov 2025 22:33:26 +0100

## tdeaddons-trinity 14.1.6~pre3

=== debian/changelog ===
tdeaddons-trinity (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for cfa982e92c217d322e8d171ee02297e47fce29a8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeaddons

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:17:18 +0100

## tdeaddons-trinity 14.1.6~pre4

=== debian/changelog ===
tdeaddons-trinity (4:14.1.6~pre4-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for f514a2d4815c9e973c7dfcc35dc015f523f202ce
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeaddons

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:17:47 +0100

## tdeaddons-trinity 14.1.6~pre6

=== debian/changelog ===
tdeaddons-trinity (4:14.1.6~pre6-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 6b215cfa79e8dcba8b0b2643ec88802325574c36
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeaddons

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:19:04 +0100

## tdeaddons-trinity 14.1.6~pre9

=== debian/changelog ===
tdeaddons-trinity (4:14.1.6~pre9-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 9607fae83288fdf77b64bd52c250a95fcd3b7fcc
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeaddons

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 19 Feb 2026 09:53:17 +0100

## tdeaddons-trinity 14.2.0~pre98

=== renamedlgplugins/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( images )
add_subdirectory( audio )

=== atlantikdesigner/designer/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}/tde
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TDE_LIB_DIR}
  ${TQT_LIBRARY_DIRS}
)


##### atlantikdesigner (executable) #########################

tde_add_executable( atlantikdesigner AUTOMOC
  SOURCES boardinfo.cpp designer.cpp editor.cpp main.cpp group.cpp
  LINK tdeio-shared atlantic atlantikui tdegames DCOP
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kicker-applets/kbinaryclock/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kbinaryclock_panelapplet (kpart) ##########

tde_add_kpart( kbinaryclock_panelapplet AUTOMOC
  SOURCES kbinaryclock.cpp settings.ui datepicker.cpp prefs.kcfgc
  LINK tdeui-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kbinaryclock.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
  PO_DIR kicker-applets-desktops
)

install( FILES kbinaryclock.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

=== konq-plugins/arkplugin/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### libarkplugin (kpart) ######################

tde_add_kpart( libarkplugin AUTOMOC
  SOURCES arkplugin.cpp
  LINK  konq-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE ark_plugin.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR konq-plugins-desktops
)

tde_create_translated_desktop(
  SOURCE arkplugin.desktop
  DESTINATION ${APPS_INSTALL_DIR}/.hidden
  PO_DIR konq-plugins-desktops
)

=== noatun-plugins/tippercanoe/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${SDL_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}/tde
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${SDL_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
  ${TQT_LIBRARY_DIRS}
)


##### noatuntippecanoe (kpart) ##########

tde_add_kpart( noatuntippecanoe AUTOMOC
  SOURCES synaescope.cpp
  LINK tdeio-shared noatun m
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### noatuntippecanoe.bin (executable) #########################

tde_add_executable( noatuntippecanoe.bin AUTOMOC
  SOURCES core.cpp main.cpp ui.cpp sdlwrap.cpp
  LINK tdeio-shared DCOP ${SDL_LIBRARIES} noatun
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE tippecanoe.plugin
  DESTINATION ${DATA_INSTALL_DIR}/noatun
  PO_DIR noatun-plugins-desktops
)

=== doc/konq-plugins/domtreeviewer/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
tde_create_handbook( DESTINATION konq-plugins/domtreeviewer  )

=== doc/tutorials/styleguide/CMakeLists.txt ===
#################################################
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION khelpcenter/styleguide )

=== kate/kjswrapper/samples/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

install( FILES katekjstest1.js
  DESTINATION ${DATA_INSTALL_DIR}/kate/plugins/katekjstest1
)

install( FILES katekjsselect.js katekjsselect.rc
  DESTINATION ${DATA_INSTALL_DIR}/kate/plugins/katekjsselect
)

install( FILES katekjsconsolewindow.js katekjsconsolewindow.rc
  DESTINATION ${DATA_INSTALL_DIR}/kate/plugins/katekjsconsolewindow
)

tde_create_translated_desktop(
  SOURCE katekjstest1.desktop katekjsconsolewindow.desktop katekjsselect.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kate-plugins-desktops
)

=== konq-plugins/sidebar/mediaplayer/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${ARTS_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### konqsidebar_mediaplayer (kpart) ###########

tde_add_kpart( konqsidebar_mediaplayer AUTOMOC
  SOURCES mediawidget_skel.ui engine.cpp player.cpp mediawidget.cpp
    mediaplayer.cpp controls.cpp
  LINK artskde-shared konq-shared konqsidebarplugin-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE mediaplayerplugin.desktop
  DESTINATION ${APPS_INSTALL_DIR}/.hidden
  PO_DIR konq-plugins-desktops
)

tde_create_translated_desktop(
  SOURCE mplayer_add.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/add
  PO_DIR konq-plugins-desktops
)

=== konq-plugins/sidebar/mediaplayer/pics/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

tde_install_icons( )

=== debian/changelog ===
tdeaddons-trinity (4:14.2.0~pre98-0ubuntu25.10.0+7) questing; urgency=low

  * Automated git build for 7d616f7548e5ae1326cbb9b6d3ee378ef45beb13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeaddons

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## tdeaddons-trinity 14.2.0~pre100

=== debian/changelog ===
tdeaddons-trinity (4:14.2.0~pre100-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for ae7ca479df954b1a4abb718e2c48de2188ad3f82
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeaddons

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Nov 2025 00:51:18 +0100

## tdeaddons-trinity 14.2.0~pre102

=== debian/changelog ===
tdeaddons-trinity (4:14.2.0~pre102-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 2a712deda13a2a050b5b42fad44c8ba97d3b46ad
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeaddons

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:12:53 +0100

## tdeaddons-trinity 14.2.0~pre103

=== debian/changelog ===
tdeaddons-trinity (4:14.2.0~pre103-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for f5cae1118ca851f52b6c1afd71952719231c0104
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeaddons

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:13:13 +0100

## tdeaddons-trinity 14.2.0~pre105

=== debian/changelog ===
tdeaddons-trinity (4:14.2.0~pre105-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 45ac802ac19aac52354e9efdf4f476fc3b42e85a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeaddons

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:13:52 +0100

## tdeaddons-trinity 14.2.0~pre108

=== debian/changelog ===
tdeaddons-trinity (4:14.2.0~pre108-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 4b16c3f8a4bf6f9ce0ed48fcb5cac40d91be7cd2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeaddons

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 18 Feb 2026 21:21:49 +0100
